;Lucius's CMD file

;-| Super Motions |--------------------------------------------------------


;-| Special Motions |------------------------------------------------------

[Command]
name = "Flip"
command = a, a
time = 10

[Command]
name = "releaseup"
command = ~U
time= 1

[Command]
name = "releasedown"
command = ~D
time= 1

[Command]
name = "releasefwd"
command = ~F
time= 1

[Command]
name = "releaseback"
command = ~B
time= 1

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF";Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB";Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = a+b
time = 1

[Command]
name = "ab"
command = a+b
time = 1

[Command]
name = "y+b"
command = y+b
time = 1

[Command]
name = "x+a"
command = x+a
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "fwd_a"
command = /F,a
time = 1

[Command]
name = "fwd_b"
command = /F,b
time = 1

[Command]
name = "fwd_c"
command = /F,c
time = 1

[Command]
name = "fwd_x"
command = /F,x
time = 1

[Command]
name = "fwd_y"
command = /F,y
time = 1

[Command]
name = "fwd_z"
command = /F,z
time = 1

[Command]
name = "back_a"
command = /B,a
time = 1

[Command]
name = "back_b"
command = /B,b
time = 1

[Command]
name = "back_c"
command = /B,c
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

[Command]
name = "fwd_ab"
command = /F, a+b
time = 1

[Command]
name = "back_ab"
command = /B, a+b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup";Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1


;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1]                  ;Don't change this
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = "command_name"
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.  
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in. 


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------


;===========================================================================
;---------------------------------------------------------------------------

;----------
;Death Test
;----------
;[State -1]
;type = ChangeState
;value = 8000
;triggerall = command = "z"
;triggerall = command != "holddown"
;trigger1 = statetype != A
;trigger1 = ctrl

;----------
;Hit Test
;----------
;[State -1]
;type = ChangeState
;value = 7000
;triggerall = command = "y"
;triggerall = command != "holddown"
;;trigger1 = statetype != A
;trigger1 = ctrl

;-----------------
;Give Power/Hearts
;-----------------
;[State -1]
;type = ChangeState
;value = 600
;triggerall = command = "b"
;triggerall = command != "holddown"
;;trigger1 = statetype != A
;trigger1 = ctrl

;-------------
;(Scene Skip)
;-------------
;[State -1, Taunt]
;type = ChangeState
;value = 195
;triggerall = command = "start"
;triggerall = command != "holddown"
;trigger1 = statetype != A
;trigger1 = ctrl

;-------
;Jump Up
;-------
[State -1]
type = ChangeState
value = 80
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------
;Back Flip
;---------
[State -1]
type = ChangeState
value = 220
triggerall = command = "Flip"
trigger1 = anim = 85 && time >= 5 && time <= 10
trigger1 = ctrl = 1

;----------------
;Hold Up (Stairs)
;----------------
[State -1]
type = ChangeState
value = 540
triggerall = command = "holdup" && command = "holdfwd"
triggerall = command != "holddown"
;trigger1 = statetype != A && (ctrl || stateno = 40)
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------
;Hold Up(Weapon)
;---------------
[State -1]
type = ChangeState
value = 500
triggerall = command = "holdup"
triggerall = command != "holddown"
;trigger1 = statetype != A && (ctrl || stateno = 40)
trigger1 = statetype = S
trigger1 = ctrl = 1

;------------------
;Hold Down (Stairs)
;------------------
[State -1]
type = ChangeState
value = 550
triggerall = command = "holddown" && command = "holdfwd"
triggerall = command != "holdup"
trigger1 = statetype != A && (ctrl || stateno = 10)

;----------
;Stand_Whip
;----------
[State -1]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1

;-----------
;Crouch_Whip
;-----------
[State -1]
type = ChangeState
value = 205
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1

;--------------------
;Throw Dagger(In Air)
;--------------------
[State -1]
type = ChangeState
value = 235
triggerall = command = "holdup" && command = "x"
triggerall = power >= 75
triggerall = var(20) = 1
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = Stateno = 220 && time >= 10 
trigger2 = command = "x"

;-----------------
;Throw Axe(In Air)
;-----------------
[State -1]
type = ChangeState
value = 245
triggerall = numhelper(401) = 0
triggerall = command = "holdup" && command = "x"
triggerall = power >= 75
triggerall = var(23) = 1
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = Stateno = 220 && time >= 10 
trigger2 = command = "x"

;-------------------
;Throw Cross(In Air)
;-------------------
[State -1]
type = ChangeState
value = 255
triggerall = numhelper(403) = 0
triggerall = command = "holdup" && command = "x"
triggerall = power >= 75
triggerall = var(24) = 1
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = Stateno = 220 && time >= 10 
trigger2 = command = "x"

;-------------------
;Throw Bible(In Air)
;-------------------
[State -1]
type = ChangeState
value = 265
triggerall = numhelper(406) = 0
triggerall = command = "holdup" && command = "x"
triggerall = power >= 75
triggerall = var(25) = 1
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = Stateno = 220 && time >= 10 
trigger2 = command = "x"

;---------
;Jump_Whip
;---------
[State -1]
type = ChangeState
value = 210
trigger1 = command = "x"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = Stateno = 220 && time >= 12  
trigger2 = command = "x"

